[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.AddPartsFromRegion

Adds the region (and any subregions) from ASrcRegion to the current class instance.

## Declaration

Source position: lazregions.pas line 84

`public procedure TLazRegion.AddPartsFromRegion(`
`ASrcRegion: TLazRegion`
`);`

## Arguments

`ASrcRegion` |  | Region with the values added in the method.

## Description

AddPartsFromRegion is a procedure used to add the region in ASrcRegion to the current class instance. ASrcRegion can be represented as a simple rectangular region, or a complex region using rectangles, polygons, and/or ellipses.

AddPartsFromRegion ensures that the Rect or Parts members from ASrcRegion are combined in the correct manner with the values in Rect or Parts for the current class instance. The value in IsSimpleRectRegion is set to False if it was necessary to add entries to the Parts member in the method.

## See also

TLazRegion.Rect |  | TRect instance with the bounds for the region.
TLazRegion.IsSimpleRectRegion |  | Indicates whether this region is composed of a single rectangular part.
TLazRegion.Parts |  | List with the Rectangles, Polygons, and Ellipses that define the display area for the region.
TLazRegion.AddPart |  | Adds the specified part as a subregion in the Parts member.